import axios from 'axios'
import { Message } from 'element-ui';
import Vue from 'vue'

const service = axios.create({
  timeout: 10000
});

/**
 * 请求拦截
 */
 service.interceptors.request.use(config => {
  config.headers['AccessToken'] = sessionStorage.getItem('AccessToken') || ''
  return config
}, error => {
  return Promise.reject(error)
})

/**
 * 响应拦截
 */
 service.interceptors.response.use(response => {
  console.log(response);
  if (response.status !== 200) {
    Message.error('请求失败')
    return Promise.reject('请求失败: status code !== 200')
  } else {
    if (response.data.code !== '200') {
      Message.error(response.data.msg || '请求失败')
      return Promise.reject(response.data.msg || '请求失败')
    } else {
      return  Promise.resolve(response.data)
    }
  }
}, error => {
  Message.error(error.message)
  return Promise.reject(error)
})

export default service